Package org.htmlunit.html

# Class HtmlAttributeChangeEvent

java.lang.Object
java.util.EventObject
org.htmlunit.html.HtmlAttributeChangeEvent

All Implemented Interfaces:
  `Serializable`

public class HtmlAttributeChangeEvent extends EventObject
This is the event class for notifications about changes to the attributes of the HtmlElement.

See Also:
  - `HtmlAttributeChangeListener`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlAttributeChangeEvent(HtmlElement element, String name, String value)`
  Constructs a new AttributeEvent from the given element, for the given attribute name and attribute value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HtmlElement`
  `getHtmlElement()`
  Returns the HtmlElement that changed.
  `String`
  `getName()`
  Returns the name of the attribute that changed on the element.
  `String`
  `getValue()`
  Returns the value of the attribute that has been added, removed, or replaced.

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HtmlAttributeChangeEvent

    public HtmlAttributeChangeEvent(HtmlElement element, String name, String value)
    Constructs a new AttributeEvent from the given element, for the given attribute name and attribute value.
    Parameters:
      `element` - the element that is sending the event
      `name` - the name of the attribute that changed on the element
      `value` - the value of the attribute that has been added, removed, or replaced

- ## Method Details

  - ### getHtmlElement

    public HtmlElement getHtmlElement()
    Returns the HtmlElement that changed.
    Returns:
      the HtmlElement that sent the event

  - ### getName

    public String getName()
    Returns the name of the attribute that changed on the element.
    Returns:
      the name of the attribute that changed on the element

  - ### getValue

    public String getValue()
    Returns the value of the attribute that has been added, removed, or replaced. If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.
    Returns:
      the value of the attribute that has been added, removed, or replaced